Bug 1297692 - Raise MariaDB max connections limit [NEEDINFO]
Raise MariaDB max connections limit
Status: NEW
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Ivan Chavero
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 04:07 EST by Marko Myllynen
Modified: 2017-06-19 04:05 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
snecklifter: needinfo? (ichavero)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 269181 None None None 2016-01-18 11:47 EST

  None (edit)
Description Marko Myllynen 2016-01-12 04:07:05 EST
Description of problem:
PackStack sets MariaDB max connections limit to 1024 which is rather easily hit in NFV/VNF PoC environments. Please consider raising the default limit, for example to something like 4096. Thanks.
Comment 5 Christopher Brown 2017-06-18 02:48:43 EDT
Upstream patch was abandoned, I think this is generally left as a "tunable parameter" for user to set as appropriate.

Much debate over sensible defaults, e.g.

https://bugzilla.redhat.com/show_bug.cgi?id=1240824

Perhaps update if this is still a requirement?
Comment 6 Marko Myllynen 2017-06-19 02:40:27 EDT
(In reply to Christopher Brown from comment #5)
> 
> Perhaps update if this is still a requirement?

Nothing has changed since the initial comment, this is still needed in some environments but if upstream is not willing to change the default we can live with this. Thanks.
Comment 7 Christopher Brown 2017-06-19 04:05:50 EDT
Would be good to get a comment from upstream then. Setting needinfo...

Note You need to log in before you can comment on or make changes to this bug.